#ifndef CMWMANUALMEAS_H
#define CMWMANUALMEAS_H

#include "cmwidget.h"

namespace Ui {
class CMWManualMeas;
}

class CMWManualMeas : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWManualMeas(QWidget *parent = 0);
    ~CMWManualMeas();
    void MFresh();
    void MTimeFresh();
    int32_t m_iCurCamID;
    CMPointd m_WTMark;
    CMPointd m_WTRecord;
private slots:
    void on_pushButton_CellMeas_clicked();

//    void on_pushButton_TableMeas_clicked();

    void on_pushButton_PosMark_clicked();

    void on_pushButton_PosMeas_clicked();

    void on_pushButton_PosRecord_clicked();

    void on_pushButton_MoveToRecord_clicked();

    void on_pushButton_TableMeasDiff_clicked();

    void on_btnMoveToRotate_clicked();

private:
    Ui::CMWManualMeas *ui;
};

#endif // CMWMANUALMEAS_H
